/*
 * CommandLineParser_ActionRegistry_ConsistencyUnitTest.cpp.hpp
 *
 *  Created on: Nov 25, 2009
 *      Author: heber
 */

#ifndef COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_
#define COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>

class CommandLineParser;

namespace MoleCuilder {
  class ActionRegistry;
}

/********************************************** Test classes **************************************/

class CommandLineParser_ActionRegistry_ConsistencyTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( CommandLineParser_ActionRegistry_ConsistencyTest) ;
    CPPUNIT_TEST ( ConsistencyCheck );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void ConsistencyCheck();

private:
      MoleCuilder::ActionRegistry *AR;
      CommandLineParser *CLP;
};

#endif /* COMMANDLINEPARSER_ACTIONREGISTRY_CONSISTENCYUNITTEST_HPP_ */
